DPDK patches and discussions
 help / color / mirror / Atom feed
From: David Marchand <david.marchand@redhat.com>
To: Thomas Monjalon <thomas@monjalon.net>
Cc: dev <dev@dpdk.org>
Subject: Re: [PATCH 0/2] add missing local symbols catch-all
Date: Mon, 7 Mar 2022 14:14:22 +0100	[thread overview]
Message-ID: <CAJFAV8ztTD2-Cs2DL-LkZUSbD0UhB+gYDPNQcKaqNZQ5-ndANg@mail.gmail.com> (raw)
In-Reply-To: <20220306092023.2461466-1-thomas@monjalon.net>

On Sun, Mar 6, 2022 at 10:20 AM Thomas Monjalon <thomas@monjalon.net> wrote:
>
> The libraries (and driver) regexdev, gpudev and auxiliary bus
> were missing "local:*" in their version.map linker script
> which catch all non-listed functions to be hidden in shared libraries.
>
> Thomas Monjalon (2):
>   regexdev: fix section attribute of symbols
>   build: hide local symbols in shared libraries
>
>  devtools/libabigail.abignore       | 12 ++++++++++++
>  drivers/bus/auxiliary/version.map  |  2 ++
>  lib/gpudev/version.map             |  2 ++
>  lib/regexdev/rte_regexdev.h        |  4 ++++
>  lib/regexdev/rte_regexdev_driver.h |  3 +++
>  lib/regexdev/version.map           | 11 +++++++++++
>  6 files changed, 34 insertions(+)

The series lgtm.


What do you think of adding a check like:

diff --git a/devtools/check-symbol-maps.sh b/devtools/check-symbol-maps.sh
index 5bd290ac97..4b7e340833 100755
--- a/devtools/check-symbol-maps.sh
+++ b/devtools/check-symbol-maps.sh
@@ -53,4 +53,18 @@ if [ -n "$duplicate_symbols" ] ; then
     ret=1
 fi

+check_local_guard ()
+{
+    for map in $@ ; do
+        grep -L local: $map || true
+    done
+}
+
+local_missing_map=$(check_local_guard $@)
+if [ -n "$local_missing_map" ] ; then
+    echo "Following maps are missing a local: guard:"
+    echo "$local_missing_map"
+    ret=1
+fi
+
 exit $ret



$ ./devtools/check-symbol-maps.sh
Following maps are missing a local: guard:
lib/regexdev/version.map
lib/gpudev/version.map
drivers/bus/auxiliary/version.map



-- 
David Marchand


  parent reply	other threads:[~2022-03-07 13:14 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-06  9:20 Thomas Monjalon
2022-03-06  9:20 ` [PATCH 1/2] regexdev: fix section attribute of symbols Thomas Monjalon
2022-03-07 10:15   ` Ori Kam
2022-03-06  9:20 ` [PATCH 2/2] build: hide local symbols in shared libraries Thomas Monjalon
2022-03-07 13:14 ` David Marchand [this message]
2022-03-08 14:24 ` [PATCH v2 0/2] add missing local symbols catch-all Thomas Monjalon
2022-03-08 14:24   ` [PATCH v2 1/2] regexdev: fix section attribute of symbols Thomas Monjalon
2022-03-08 14:24   ` [PATCH v2 2/2] build: hide local symbols in shared libraries Thomas Monjalon
2022-03-09 10:58     ` Kevin Traynor
2022-03-09 18:54       ` Thomas Monjalon
2022-04-15 14:56     ` Ray Kinsella
2022-03-08 14:31   ` [PATCH v2 0/2] add missing local symbols catch-all Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=CAJFAV8ztTD2-Cs2DL-LkZUSbD0UhB+gYDPNQcKaqNZQ5-ndANg@mail.gmail.com \
    --to=david.marchand@redhat.com \
    --cc=dev@dpdk.org \
    --cc=thomas@monjalon.net \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).